Skip to content
Get started

List agents

GET/api/agents/

List agents

Query ParametersExpand Collapse
model: optional string
name: optional string
ordering: optional string

Which field to use when ordering the results.

page: optional number

A page number within the paginated result set.

project: optional string
formatuuid
slug: optional string
status: optional string
ReturnsExpand Collapse
count: number
results: array of object { id, created_at, name, 16 more }
id: string
formatuuid
created_at: string
formatdate-time
name: string
maxLength255
project: string
formatuuid
slug: string
maxLength255
updated_at: string
formatdate-time
agent_path: optional string
maxLength512
analyzer_model: optional string
maxLength128
dataset_has_expected_output: optional boolean
dataset_size: optional number
maximum9223372036854776000
minimum-9223372036854776000
formatint64
description: optional string
display_name: optional string
maxLength512
entrypoint_fn: optional string
maxLength255
model: optional string
maxLength128
status: optional string
maxLength20
structure_weight: optional number
formatdouble
tags: optional unknown
tool_usage_weight: optional number
formatdouble
total_points: optional number
formatdouble
List agents
curl https://api.overmindlab.ai/api/agents/
{
  "count": 123,
  "results": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "slug": "slug",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "agent_path": "agent_path",
      "analyzer_model": "analyzer_model",
      "dataset_has_expected_output": true,
      "dataset_size": -9007199254740991,
      "description": "description",
      "display_name": "display_name",
      "entrypoint_fn": "entrypoint_fn",
      "model": "model",
      "status": "status",
      "structure_weight": 0,
      "tags": {},
      "tool_usage_weight": 0,
      "total_points": 0
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}
Returns Examples
{
  "count": 123,
  "results": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "slug": "slug",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "agent_path": "agent_path",
      "analyzer_model": "analyzer_model",
      "dataset_has_expected_output": true,
      "dataset_size": -9007199254740991,
      "description": "description",
      "display_name": "display_name",
      "entrypoint_fn": "entrypoint_fn",
      "model": "model",
      "status": "status",
      "structure_weight": 0,
      "tags": {},
      "tool_usage_weight": 0,
      "total_points": 0
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}